List series
curl --request GET \
--url https://demo.komga.org/api/v1/series \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://demo.komga.org/api/v1/series"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://demo.komga.org/api/v1/series', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://demo.komga.org/api/v1/series",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://demo.komga.org/api/v1/series"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://demo.komga.org/api/v1/series")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://demo.komga.org/api/v1/series")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"content": [
{
"booksCount": 123,
"booksInProgressCount": 123,
"booksMetadata": {
"authors": [
{
"name": "<string>",
"role": "<string>"
}
],
"created": "2023-11-07T05:31:56Z",
"lastModified": "2023-11-07T05:31:56Z",
"summary": "<string>",
"summaryNumber": "<string>",
"tags": [
"<string>"
],
"releaseDate": "2023-12-25"
},
"booksReadCount": 123,
"booksUnreadCount": 123,
"created": "2023-11-07T05:31:56Z",
"deleted": true,
"fileLastModified": "2023-11-07T05:31:56Z",
"id": "<string>",
"lastModified": "2023-11-07T05:31:56Z",
"libraryId": "<string>",
"metadata": {
"ageRatingLock": true,
"alternateTitles": [
{
"label": "<string>",
"title": "<string>"
}
],
"alternateTitlesLock": true,
"created": "2023-11-07T05:31:56Z",
"genres": [
"<string>"
],
"genresLock": true,
"language": "<string>",
"languageLock": true,
"lastModified": "2023-11-07T05:31:56Z",
"links": [
{
"label": "<string>",
"url": "<string>"
}
],
"linksLock": true,
"publisher": "<string>",
"publisherLock": true,
"readingDirection": "<string>",
"readingDirectionLock": true,
"sharingLabels": [
"<string>"
],
"sharingLabelsLock": true,
"status": "<string>",
"statusLock": true,
"summary": "<string>",
"summaryLock": true,
"tags": [
"<string>"
],
"tagsLock": true,
"title": "<string>",
"titleLock": true,
"titleSort": "<string>",
"titleSortLock": true,
"totalBookCountLock": true,
"ageRating": 123,
"totalBookCount": 123
},
"name": "<string>",
"oneshot": true,
"url": "<string>"
}
],
"empty": true,
"first": true,
"last": true,
"number": 123,
"numberOfElements": 123,
"pageable": {
"offset": 123,
"pageNumber": 123,
"pageSize": 123,
"paged": true,
"sort": {
"empty": true,
"sorted": true,
"unsorted": true
},
"unpaged": true
},
"size": 123,
"sort": {
"empty": true,
"sorted": true,
"unsorted": true
},
"totalElements": 123,
"totalPages": 123
}{
"violations": [
{
"fieldName": "<string>",
"message": "<string>"
}
]
}Series
List series
deprecated
Use POST /api/v1/series/list instead. Deprecated since 1.19.0.
GET
/
api
/
v1
/
series
List series
curl --request GET \
--url https://demo.komga.org/api/v1/series \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://demo.komga.org/api/v1/series"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://demo.komga.org/api/v1/series', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://demo.komga.org/api/v1/series",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://demo.komga.org/api/v1/series"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://demo.komga.org/api/v1/series")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://demo.komga.org/api/v1/series")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"content": [
{
"booksCount": 123,
"booksInProgressCount": 123,
"booksMetadata": {
"authors": [
{
"name": "<string>",
"role": "<string>"
}
],
"created": "2023-11-07T05:31:56Z",
"lastModified": "2023-11-07T05:31:56Z",
"summary": "<string>",
"summaryNumber": "<string>",
"tags": [
"<string>"
],
"releaseDate": "2023-12-25"
},
"booksReadCount": 123,
"booksUnreadCount": 123,
"created": "2023-11-07T05:31:56Z",
"deleted": true,
"fileLastModified": "2023-11-07T05:31:56Z",
"id": "<string>",
"lastModified": "2023-11-07T05:31:56Z",
"libraryId": "<string>",
"metadata": {
"ageRatingLock": true,
"alternateTitles": [
{
"label": "<string>",
"title": "<string>"
}
],
"alternateTitlesLock": true,
"created": "2023-11-07T05:31:56Z",
"genres": [
"<string>"
],
"genresLock": true,
"language": "<string>",
"languageLock": true,
"lastModified": "2023-11-07T05:31:56Z",
"links": [
{
"label": "<string>",
"url": "<string>"
}
],
"linksLock": true,
"publisher": "<string>",
"publisherLock": true,
"readingDirection": "<string>",
"readingDirectionLock": true,
"sharingLabels": [
"<string>"
],
"sharingLabelsLock": true,
"status": "<string>",
"statusLock": true,
"summary": "<string>",
"summaryLock": true,
"tags": [
"<string>"
],
"tagsLock": true,
"title": "<string>",
"titleLock": true,
"titleSort": "<string>",
"titleSortLock": true,
"totalBookCountLock": true,
"ageRating": 123,
"totalBookCount": 123
},
"name": "<string>",
"oneshot": true,
"url": "<string>"
}
],
"empty": true,
"first": true,
"last": true,
"number": 123,
"numberOfElements": 123,
"pageable": {
"offset": 123,
"pageNumber": 123,
"pageSize": 123,
"paged": true,
"sort": {
"empty": true,
"sorted": true,
"unsorted": true
},
"unpaged": true
},
"size": 123,
"sort": {
"empty": true,
"sorted": true,
"unsorted": true
},
"totalElements": 123,
"totalPages": 123
}{
"violations": [
{
"fieldName": "<string>",
"message": "<string>"
}
]
}Authorizations
basicAuthapiKey
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Available options:
ENDED, ONGOING, ABANDONED, HIATUS Available options:
UNREAD, READ, IN_PROGRESS Search by regex criteria, in the form: regex,field. Supported fields are TITLE and TITLE_SORT.
Zero-based page index (0..N)
The size of the page to be returned
Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.
Author criteria in the format: name,role. Multiple author criteria are supported.